/* Form definition file generated with fdesign. */

#include "forms.h"
#include <stdlib.h>
#include "xoskope.h"

static FL_PUP_ENTRY fdchoice_Rate8[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "44000",	0,	"",	 FL_PUP_NONE},
    { "36000",	0,	"",	 FL_PUP_NONE},
    { "32000",	0,	"",	 FL_PUP_NONE},
    { "26000",	0,	"",	 FL_PUP_NONE},
    { "22000",	0,	"",	 FL_PUP_NONE},
    { "20000",	0,	"",	 FL_PUP_NONE},
    { "16000",	0,	"",	 FL_PUP_NONE},
    { "12000",	0,	"",	 FL_PUP_NONE},
    { "8000",	0,	"",	 FL_PUP_NONE},
    { "4000",	0,	"",	 FL_PUP_NONE},
    {0}
};

static FL_PUP_ENTRY fdchoice_TrigMode9[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "None",	0,	"",	 FL_PUP_NONE},
    { "Rising",	0,	"",	 FL_PUP_NONE},
    { "Falling",	0,	"",	 FL_PUP_NONE},
    {0}
};

static FL_PUP_ENTRY fdchoice_TrigChan10[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "Chan 1",	0,	"",	 FL_PUP_NONE},
    { "Chan 2",	0,	"",	 FL_PUP_NONE},
    {0}
};

static FL_PUP_ENTRY fdchoice_OpMode11[] =
{ 
    /*  itemtext   callback  shortcut   mode */
    { "Normal",	0,	"",	 FL_PUP_NONE},
    { "Add",	0,	"",	 FL_PUP_NONE},
    { "X-Y",	0,	"",	 FL_PUP_NONE},
    {0}
};

#include "x.xpm"
#include "log.xpm"
#include "xosk.xpm"
FD_xoscope *create_form_xoscope(void)
{
  FL_OBJECT *obj;
  FD_xoscope *fdui = (FD_xoscope *) fl_calloc(1, sizeof(*fdui));

  fdui->xoscope = fl_bgn_form(FL_NO_BOX, 760, 430);
  obj = fl_add_box(FL_UP_BOX,0,0,760,430,"");
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,640,20,110,90,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,280,340,130,80,"Mouse Values:");
    fl_set_object_lstyle(obj,FL_ITALIC_STYLE);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,420,220,330,90,"Common");
    fl_set_object_lstyle(obj,FL_ITALIC_STYLE);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,420,20,210,90,"Channel 1");
    fl_set_object_lstyle(obj,FL_ITALIC_STYLE);
  fdui->xyplot_display = obj = fl_add_xyplot(FL_NORMAL_XYPLOT,10,10,400,320,"");
    fl_set_object_boxtype(obj,FL_DOWN_BOX);
    fl_set_object_color(obj,FL_BLACK,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,CB_xyplot_display,0);
    fl_set_xyplot_xtics(obj, 2, 4);
    fl_set_xyplot_ytics(obj, 2, 4);
  fdui->button_color_chan1 = obj = fl_add_button(FL_NORMAL_BUTTON,430,60,50,20,"Color");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_RED,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,CB_button_color_chan1,0);
  fdui->check_chan1 = obj = fl_add_checkbutton(FL_PUSH_BUTTON,430,40,50,20,"ON");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,CB_check_chan1,0);
    fl_set_button(obj, 1);
  fdui->droplist_rate = obj = fl_add_choice(FL_DROPLIST_CHOICE,610,240,60,20,"Rate:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lcolor(obj,FL_DARKTOMATO);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,CB_droplist_rate,0);
   fl_set_choice_entries(obj, fdchoice_Rate8);
   fl_set_choice(obj,5);
  fdui->droplist_trigmode = obj = fl_add_choice(FL_DROPLIST_CHOICE,610,280,60,20,"Trig. Mode:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lcolor(obj,FL_DARKTOMATO);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,CB_droplist_trigmode,0);
   fl_set_choice_entries(obj, fdchoice_TrigMode9);
   fl_set_choice(obj,2);
  fdui->droplist_trigchan = obj = fl_add_choice(FL_DROPLIST_CHOICE,680,280,60,20,"Trig. Chan:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lcolor(obj,FL_DARKTOMATO);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,CB_droplist_trigchan,0);
   fl_set_choice_entries(obj, fdchoice_TrigChan10);
   fl_set_choice(obj,1);
  fdui->droplist_opmode = obj = fl_add_choice(FL_DROPLIST_CHOICE,680,240,60,20,"Op. Mode:");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lcolor(obj,FL_DARKTOMATO);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,CB_droplist_opmode,0);
   fl_set_choice_entries(obj, fdchoice_OpMode11);
   fl_set_choice(obj,1);
  fdui->button_close = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,10,380,50,40,"");
    fl_set_object_callback(obj,CB_button_close,0);
    fl_set_pixmapbutton_data(obj,x);
  fdui->button_spectrum = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,70,380,50,40,"");
    fl_set_object_callback(obj,CB_button_spectrum,0);
    fl_set_pixmapbutton_data(obj,log);
  fdui->button_display_setup = obj = fl_add_button(FL_NORMAL_BUTTON,10,340,110,30,"Display Setup");
    fl_set_object_lcolor(obj,FL_DARKTOMATO);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,CB_button_display_setup,0);
  obj = fl_add_text(FL_NORMAL_TEXT,300,372,30,17,"V 1");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,300,393,30,16,"V 2");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->text_mouse_V1 = obj = fl_add_text(FL_NORMAL_TEXT,340,370,60,20,"00000");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->text_mouse_V2 = obj = fl_add_text(FL_NORMAL_TEXT,340,390,60,20,"00000");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,300,350,30,17,"T");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->text_mouse_T = obj = fl_add_text(FL_NORMAL_TEXT,340,350,60,20,"00000");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->text_rms_chan1 = obj = fl_add_text(FL_NORMAL_TEXT,699,90,42,14,"00000");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,647,50,42,13,"max:");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,647,70,42,14,"avr:");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,647,90,42,14,"RMS:");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->text_avr_chan1 = obj = fl_add_text(FL_NORMAL_TEXT,699,70,42,14,"00000");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->logotipo = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,420,330,330,90,"");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,CB_logotipo,0);
    fl_set_pixmapbutton_data(obj,xosk_xpm);
  fdui->counter_Vpos1 = obj = fl_add_counter(FL_NORMAL_COUNTER,510,40,110,20,"Offset:");
    fl_set_object_lcolor(obj,FL_DARKTOMATO);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,CB_counter_Vpos1,0);
    fl_set_counter_precision(obj, 2);
    fl_set_counter_bounds(obj, -100.00, 100.00);
    fl_set_counter_step(obj, 0.01, 0.10);
  fdui->counter_Vscale1 = obj = fl_add_counter(FL_NORMAL_COUNTER,510,80,110,20,"Scale: (Volts / div)");
    fl_set_object_lcolor(obj,FL_DARKTOMATO);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,CB_counter_Vscale1,0);
    fl_set_counter_precision(obj, 2);
    fl_set_counter_bounds(obj, -100.00, 100.00);
    fl_set_counter_value(obj, 1.00);
    fl_set_counter_step(obj, 0.01, 0.20);
  obj = fl_add_text(FL_NORMAL_TEXT,647,30,42,13,"min:");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->text_min_chan1 = obj = fl_add_text(FL_NORMAL_TEXT,699,30,42,14,"00000");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->text_max_chan1 = obj = fl_add_text(FL_NORMAL_TEXT,699,50,42,14,"00000");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->counter_Tscale = obj = fl_add_counter(FL_NORMAL_COUNTER,480,260,110,20,"Time scale:");
    fl_set_object_lcolor(obj,FL_DARKTOMATO);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_callback(obj,CB_counter_Tscale,0);
    fl_set_counter_precision(obj, 4);
    fl_set_counter_bounds(obj, 0.0000, 100.0000);
    fl_set_counter_value(obj, 1.0000);
    fl_set_counter_step(obj, 0.0005, 0.0050);
  fdui->counter_trig_level = obj = fl_add_counter(FL_NORMAL_COUNTER,480,280,110,20,"Trig level:");
    fl_set_object_lcolor(obj,FL_DARKTOMATO);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_callback(obj,CB_counter_trig_level,0);
    fl_set_counter_precision(obj, 2);
    fl_set_counter_bounds(obj, -100.00, 100.00);
  fdui->counter_Tpos = obj = fl_add_counter(FL_NORMAL_COUNTER,480,240,110,20,"Time zero:");
    fl_set_object_lcolor(obj,FL_DARKTOMATO);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT);
    fl_set_object_callback(obj,CB_counter_Tpos,0);
    fl_set_counter_precision(obj, 4);
    fl_set_counter_bounds(obj, -1.0000, 1.0000);
    fl_set_counter_step(obj, 0.0005, 0.0050);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,640,120,110,90,"");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_TOP);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
  fdui->text_rms_chan2 = obj = fl_add_text(FL_NORMAL_TEXT,699,190,42,14,"00000");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,647,150,42,13,"max:");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,647,170,42,14,"avr:");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,647,190,42,14,"RMS:");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->text_avr_chan2 = obj = fl_add_text(FL_NORMAL_TEXT,699,170,42,14,"00000");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,647,130,42,13,"min:");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->text_min_chan2 = obj = fl_add_text(FL_NORMAL_TEXT,699,130,42,14,"00000");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fdui->text_max_chan2 = obj = fl_add_text(FL_NORMAL_TEXT,699,150,42,14,"00000");
    fl_set_object_boxtype(obj,FL_EMBOSSED_BOX);
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_labelframe(FL_ENGRAVED_FRAME,420,120,210,90,"Channel 2");
    fl_set_object_lstyle(obj,FL_ITALIC_STYLE);
  fdui->button_color_chan2 = obj = fl_add_button(FL_NORMAL_BUTTON,430,160,50,20,"Color");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_color(obj,FL_GREEN,FL_COL1);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,CB_button_color_chan2,0);
  fdui->check_chan2 = obj = fl_add_checkbutton(FL_PUSH_BUTTON,430,140,50,20,"ON");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,CB_check_chan2,0);
    fl_set_button(obj, 1);
  fdui->counter_Vpos2 = obj = fl_add_counter(FL_NORMAL_COUNTER,510,140,110,20,"Offset:");
    fl_set_object_lcolor(obj,FL_DARKTOMATO);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,CB_counter_Vpos2,0);
    fl_set_counter_precision(obj, 2);
    fl_set_counter_bounds(obj, -100.00, 100.00);
    fl_set_counter_step(obj, 0.01, 0.10);
  fdui->counter_Vscale2 = obj = fl_add_counter(FL_NORMAL_COUNTER,510,180,110,20,"Scale: (Volts / div)");
    fl_set_object_lcolor(obj,FL_DARKTOMATO);
    fl_set_object_lalign(obj,FL_ALIGN_TOP_LEFT);
    fl_set_object_callback(obj,CB_counter_Vscale2,0);
    fl_set_counter_precision(obj, 2);
    fl_set_counter_bounds(obj, -100.00, 100.00);
    fl_set_counter_value(obj, 1.00);
    fl_set_counter_step(obj, 0.01, 0.10);
  fdui->timer_refresh = obj = fl_add_timer(FL_NORMAL_TIMER,140,340,60,20,"sampling");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_callback(obj,CB_timer_refresh,0);
  fdui->button_inv_chan1 = obj = fl_add_button(FL_PUSH_BUTTON,430,80,50,20,"INV");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,CB_button_inv_chan1,0);
  fdui->button_inv_chan2 = obj = fl_add_button(FL_PUSH_BUTTON,430,180,50,20,"INV");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_callback(obj,CB_button_inv_chan2,0);
  fdui->button_run = obj = fl_add_button(FL_PUSH_BUTTON,140,360,60,30,"RUN");
    fl_set_object_lcolor(obj,FL_CHARTREUSE);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,CB_button_run,0);
  fl_end_form();

  fdui->xoscope->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

#include "working_at_cuba.xpm"
FD_about *create_form_about(void)
{
  FL_OBJECT *obj;
  FD_about *fdui = (FD_about *) fl_calloc(1, sizeof(*fdui));

  fdui->about = fl_bgn_form(FL_NO_BOX, 340, 420);
  obj = fl_add_box(FL_UP_BOX,0,0,340,420,"");
  fdui->button_about_OK = obj = fl_add_button(FL_NORMAL_BUTTON,130,370,90,30,"OK");
    fl_set_object_lcolor(obj,FL_DARKTOMATO);
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE);
    fl_set_object_callback(obj,CB_button_about_OK,0);
  fdui->button_about_fernudo = obj = fl_add_pixmapbutton(FL_NORMAL_BUTTON,10,10,320,200,"");
    fl_set_object_boxtype(obj,FL_NO_BOX);
    fl_set_object_callback(obj,CB_button_about_OK,0);
    fl_set_pixmapbutton_data(obj,magick);
  obj = fl_add_text(FL_NORMAL_TEXT,60,230,220,30,"XOSKOPE (version  0.1)");
    fl_set_object_boxtype(obj,FL_FRAME_BOX);
    fl_set_object_lcolor(obj,FL_WHEAT);
    fl_set_object_lsize(obj,FL_MEDIUM_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
    fl_set_object_lstyle(obj,FL_BOLD_STYLE+FL_SHADOW_STYLE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,270,260,20,"Created by J. Fernando Moyano - 2000");
    fl_set_object_lsize(obj,FL_NORMAL_SIZE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,40,290,260,20," txino@arrakis.es - http://www.arrakis.es/~txino");
    fl_set_object_lcolor(obj,FL_BLUE);
    fl_set_object_lalign(obj,FL_ALIGN_CENTER|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,50,320,260,15,"Thanks to Dr. Zhao by xforms library and to");
    fl_set_object_lcolor(obj,FL_BOTTOM_BCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  obj = fl_add_text(FL_NORMAL_TEXT,50,335,260,15,"Tim Witham by some ideas i took from his \"xoscope\".");
    fl_set_object_lcolor(obj,FL_BOTTOM_BCOL);
    fl_set_object_lalign(obj,FL_ALIGN_LEFT|FL_ALIGN_INSIDE);
  fl_end_form();

  fdui->about->fdui = fdui;

  return fdui;
}
/*---------------------------------------*/

